import Sortable from 'sortablejs';
declare const _default: import("vue").DefineComponent<{
    options: ObjectConstructor;
    list: {
        type: ArrayConstructor;
        required: boolean;
        default: null;
    };
    noTransitionOnDrag: {
        type: BooleanConstructor;
        default: boolean;
    };
    clone: {
        type: FunctionConstructor;
        default: (original: any) => any;
    };
    tag: {
        type: StringConstructor;
        default: string;
    };
    move: {
        type: FunctionConstructor;
        default: null;
    };
    componentData: {
        type: ObjectConstructor;
        required: boolean;
        default: null;
    };
    component: {
        type: StringConstructor;
        default: null;
    };
    modelValue: {
        type: ArrayConstructor;
        required: boolean;
        default: null;
    };
}, unknown, {
    transitionMode: boolean;
    noneFunctionalComponentMode: boolean;
    headerOffset: number;
    footerOffset: number;
    sortableIntance: Sortable;
    visibleIndexes: number[];
    context: any;
}, {
    realList(): any[] | any;
}, {
    getTag(): any;
    updateOptions(newOptionValue: any): void;
    getChildrenNodes(): any;
    computeIndexes(): void;
    getUnderlyingVm(htmlElt: HTMLElement): {
        index: number;
        element: any;
    } | null;
    emitChanges(evt: any): void;
    alterList(onList: any): void;
    spliceList(): void;
    updatePosition(oldIndex: number, newIndex: number): void;
    getVmIndex(domIndex: number): number;
    getComponent(): any;
    resetTransitionData(index: number): void;
    onDragStart(evt: any): void;
    onDragAdd(evt: any): void;
    onDragRemove(evt: any): void;
    onDragUpdate(evt: any): void;
    updateProperty(evt: any, propertyName: any): void;
    onDragMove(evt: any, originalEvent: any): any;
    onDragEnd(): void;
    getTrargetedComponent(htmElement: any): any;
    getRelatedContextFromMoveEvent({ to, related }: any): any;
    computeFutureIndex(relatedContext: any, evt: any): any;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, string[], string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    options: ObjectConstructor;
    list: {
        type: ArrayConstructor;
        required: boolean;
        default: null;
    };
    noTransitionOnDrag: {
        type: BooleanConstructor;
        default: boolean;
    };
    clone: {
        type: FunctionConstructor;
        default: (original: any) => any;
    };
    tag: {
        type: StringConstructor;
        default: string;
    };
    move: {
        type: FunctionConstructor;
        default: null;
    };
    componentData: {
        type: ObjectConstructor;
        required: boolean;
        default: null;
    };
    component: {
        type: StringConstructor;
        default: null;
    };
    modelValue: {
        type: ArrayConstructor;
        required: boolean;
        default: null;
    };
}>> & {
    [x: string & `on${string}`]: ((...args: any[]) => any) | undefined;
}, {
    modelValue: unknown[];
    tag: string;
    clone: Function;
    move: Function;
    list: unknown[];
    noTransitionOnDrag: boolean;
    componentData: Record<string, any>;
    component: string;
}>;
export default _default;
